from flask import Blueprint
from flask_login import login_required
from app.controllers.auth_controller import login, logout

main = Blueprint('main', __name__)

@main.route('/')
def index():
    return login()

@main.route('/login', methods=['GET', 'POST'])
def login_route():
    return login()

@main.route('/logout')
@login_required
def logout_route():
    return logout()